Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(24)

Issue 1277353002: Use static_cast<> for NULL (clang 3.7) (Closed)

Created:
5 years, 3 months ago by saper
Modified:
5 years, 3 months ago
Reviewers:
machenbach, Yang
CC:
v8-dev
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

Use static_cast<> for NULL (clang 3.7) The following errors come up when compiling v8 with clang 3.7 on FreeBSD/amd64: src/runtime/runtime-i18n.cc:629:37: error: reinterpret_cast from 'nullptr_t' to 'v8::internal::Smi *' is not allowed local_object->SetInternalField(1, reinterpret_cast<Smi*>(NULL)); ^~~~~~~~~~~~~~~~~~~~~~~~~~~~ test/cctest/test-heap.cc:131:20: error: reinterpret_cast from 'nullptr_t' to 'v8::internal::Object *' is not allowed Handle<Object> n(reinterpret_cast<Object*>(NULL), isolate); ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ test/cctest/test-heap.cc:1989:18: error: reinterpret_cast from 'nullptr_t' to 'Address' (aka 'unsigned char *') is not allowed Address base = reinterpret_cast<Address>(NULL); ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +add myself to the AUTHORS file. BUG= Committed: https://crrev.com/75e43a6681e01de9422a0211f502723d23b51247 Cr-Commit-Position: refs/heads/master@{#30103}

Patch Set 1 #

Patch Set 2 : Use nullptr everywhere, squash commits #

Unified diffs Side-by-side diffs Delta from patch set Stats (+4 lines, -3 lines) Patch
M AUTHORS View 1 chunk +1 line, -0 lines 0 comments Download
M src/runtime/runtime-i18n.cc View 1 chunk +1 line, -1 line 0 comments Download
M test/cctest/test-heap.cc View 1 2 chunks +2 lines, -2 lines 0 comments Download

Messages

Total messages: 13 (5 generated)
saper
5 years, 3 months ago (2015-08-08 13:06:07 UTC) #3
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1277353002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1277353002/1
5 years, 3 months ago (2015-08-08 13:11:07 UTC) #5
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
5 years, 3 months ago (2015-08-08 13:35:35 UTC) #7
Yang
On 2015/08/08 13:35:35, commit-bot: I haz the power wrote: > Dry run: This issue passed ...
5 years, 3 months ago (2015-08-11 07:21:10 UTC) #8
Yang
On 2015/08/11 07:21:10, Yang wrote: > On 2015/08/08 13:35:35, commit-bot: I haz the power wrote: ...
5 years, 3 months ago (2015-08-11 07:21:25 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1277353002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1277353002/20001
5 years, 3 months ago (2015-08-11 07:21:40 UTC) #11
commit-bot: I haz the power
Committed patchset #2 (id:20001)
5 years, 3 months ago (2015-08-11 07:48:55 UTC) #12
commit-bot: I haz the power
5 years, 3 months ago (2015-08-11 07:49:10 UTC) #13
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/75e43a6681e01de9422a0211f502723d23b51247
Cr-Commit-Position: refs/heads/master@{#30103}

Powered by Google App Engine
This is Rietveld 408576698